Uploaded image for project: 'Isis'
  1. Isis
  2. ISIS-574

Upgrade isis-security-shiro to use shiro 1.2.3 (currently using 1.2.1)

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: security-shiro-1.1.1
    • Fix Version/s: core-1.6.0
    • Component/s: Core: Security: Shiro
    • Labels:
      None

      Description

      On attempting to upgrade our dependency on Shiro to the latest (1.2.2), found that our the unit tests, at least, do not pass.

      The reason seems to be that our globally registered IsisPermissionResolver, in shiro.ini is not picked up, and so IsisPermission is not used to interpret the permission strings (Shiro's default WildcardPermission is used instead).

      Not clear at this point whether the issue lies with Shiro, or with Isis misconfiguring Shiro (in a way that used to work).

        Attachments

          Activity

            People

            • Assignee:
              danhaywood Dan Haywood
              Reporter:
              danhaywood Dan Haywood
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: